# DO NOT DELETE: Beginning of Haskell dependencies
libraries/binary/dist-boot/build/Data/Binary/Builder.o : libraries/binary/src/Data/Binary/Builder.hs
$(eval $(call hi-rule,libraries/binary/dist-boot/build/Data/Binary/Builder.hi  : %hi: %o  libraries/binary/src/Data/Binary/Builder.hs))
libraries/binary/dist-boot/build/Data/Binary/Builder.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
libraries/binary/dist-boot/build/Data/Binary/Builder.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Int.hi
libraries/binary/dist-boot/build/Data/Binary/Builder.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Word.hi
libraries/binary/dist-boot/build/Data/Binary/Builder.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Monoid.hi
libraries/binary/dist-boot/build/Data/Binary/Builder.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Builder/Extra.hi
libraries/binary/dist-boot/build/Data/Binary/Builder.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Builder.hi
libraries/binary/dist-boot/build/Data/Binary/Builder.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Builder/Prim.hi
libraries/binary/dist-boot/build/Data/Binary/Builder.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Builder.hi
libraries/binary/dist-boot/build/Data/Binary/Builder.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Short.hi
libraries/binary/dist-boot/build/Data/Binary/Builder.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Lazy.hi
libraries/binary/dist-boot/build/Data/Binary/Builder.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString.hi
libraries/binary/dist-boot/build/Data/Binary/FloatCast.o : libraries/binary/src/Data/Binary/FloatCast.hs
$(eval $(call hi-rule,libraries/binary/dist-boot/build/Data/Binary/FloatCast.hi  : %hi: %o  libraries/binary/src/Data/Binary/FloatCast.hs))
libraries/binary/dist-boot/build/Data/Binary/FloatCast.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
libraries/binary/dist-boot/build/Data/Binary/FloatCast.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/GHC/ST.hi
libraries/binary/dist-boot/build/Data/Binary/FloatCast.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/array-0.5.2.0/Data/Array/Unsafe.hi
libraries/binary/dist-boot/build/Data/Binary/FloatCast.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/array-0.5.2.0/Data/Array/ST.hi
libraries/binary/dist-boot/build/Data/Binary/FloatCast.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Word.hi
libraries/binary/dist-boot/build/Data/Binary/Internal.o : libraries/binary/src/Data/Binary/Internal.hs
$(eval $(call hi-rule,libraries/binary/dist-boot/build/Data/Binary/Internal.hi  : %hi: %o  libraries/binary/src/Data/Binary/Internal.hs))
libraries/binary/dist-boot/build/Data/Binary/Internal.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
libraries/binary/dist-boot/build/Data/Binary/Internal.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Internal.hi
libraries/binary/dist-boot/build/Data/Binary/Get/Internal.o : libraries/binary/src/Data/Binary/Get/Internal.hs
$(eval $(call hi-rule,libraries/binary/dist-boot/build/Data/Binary/Get/Internal.hi  : %hi: %o  libraries/binary/src/Data/Binary/Get/Internal.hs))
libraries/binary/dist-boot/build/Data/Binary/Get/Internal.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
libraries/binary/dist-boot/build/Data/Binary/Get/Internal.o : libraries/binary/dist-boot/build/Data/Binary/Internal.hi
libraries/binary/dist-boot/build/Data/Binary/Get/Internal.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Monad/Fail.hi
libraries/binary/dist-boot/build/Data/Binary/Get/Internal.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Monad.hi
libraries/binary/dist-boot/build/Data/Binary/Get/Internal.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Applicative.hi
libraries/binary/dist-boot/build/Data/Binary/Get/Internal.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Unsafe.hi
libraries/binary/dist-boot/build/Data/Binary/Get/Internal.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString.hi
libraries/binary/dist-boot/build/Data/Binary/Get/Internal.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Foreign.hi
libraries/binary/dist-boot/build/Data/Binary/Get.o : libraries/binary/src/Data/Binary/Get.hs
$(eval $(call hi-rule,libraries/binary/dist-boot/build/Data/Binary/Get.hi  : %hi: %o  libraries/binary/src/Data/Binary/Get.hs))
libraries/binary/dist-boot/build/Data/Binary/Get.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
libraries/binary/dist-boot/build/Data/Binary/Get.o : libraries/binary/dist-boot/build/Data/Binary/FloatCast.hi
libraries/binary/dist-boot/build/Data/Binary/Get.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/GHC/Word.hi
libraries/binary/dist-boot/build/Data/Binary/Get.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/GHC/Base.hi
libraries/binary/dist-boot/build/Data/Binary/Get.o : libraries/binary/dist-boot/build/Data/Binary/Get/Internal.hi
libraries/binary/dist-boot/build/Data/Binary/Get.o : libraries/binary/dist-boot/build/Data/Binary/Get/Internal.hi
libraries/binary/dist-boot/build/Data/Binary/Get.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Lazy/Internal.hi
libraries/binary/dist-boot/build/Data/Binary/Get.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Lazy.hi
libraries/binary/dist-boot/build/Data/Binary/Get.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Unsafe.hi
libraries/binary/dist-boot/build/Data/Binary/Get.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString.hi
libraries/binary/dist-boot/build/Data/Binary/Get.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Foreign.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : libraries/binary/src/Data/Binary/Put.hs
$(eval $(call hi-rule,libraries/binary/dist-boot/build/Data/Binary/Put.hi  : %hi: %o  libraries/binary/src/Data/Binary/Put.hs))
libraries/binary/dist-boot/build/Data/Binary/Put.o : libraries/binary/dist-boot/build/Data/Binary/FloatCast.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Applicative.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Semigroup.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Short.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Lazy.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Word.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Int.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : libraries/binary/dist-boot/build/Data/Binary/Builder.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : libraries/binary/dist-boot/build/Data/Binary/Builder.hi
libraries/binary/dist-boot/build/Data/Binary/Put.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Monoid.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : libraries/binary/src/Data/Binary/Class.hs
$(eval $(call hi-rule,libraries/binary/dist-boot/build/Data/Binary/Class.hi  : %hi: %o  libraries/binary/src/Data/Binary/Class.hs))
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Version.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/GHC/Fingerprint.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Foldable.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/containers-0.5.11.0/Data/Sequence.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Fixed.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Numeric/Natural.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/GHC/Generics.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/array-0.5.2.0/Data/Array/Unboxed.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/containers-0.5.11.0/Data/Tree.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Ratio.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/containers-0.5.11.0/Data/IntSet.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/containers-0.5.11.0/Data/IntMap.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/containers-0.5.11.0/Data/Set.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/containers-0.5.11.0/Data/Map.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Short.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/GHC/Exts.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Kind.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Type/Reflection/Unsafe.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Type/Reflection.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/List.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Builder/Prim.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Lazy.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Lazy.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Monad.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Semigroup.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/List/NonEmpty.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Functor/Identity.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Monoid.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Monoid.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : libraries/binary/dist-boot/build/Data/Binary/Get.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : libraries/binary/dist-boot/build/Data/Binary/Put.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Void.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Complex.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Int.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Bits.hi
libraries/binary/dist-boot/build/Data/Binary/Class.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Word.hi
libraries/binary/dist-boot/build/Data/Binary/Generic.o : libraries/binary/src/Data/Binary/Generic.hs
$(eval $(call hi-rule,libraries/binary/dist-boot/build/Data/Binary/Generic.hi  : %hi: %o  libraries/binary/src/Data/Binary/Generic.hs))
libraries/binary/dist-boot/build/Data/Binary/Generic.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
libraries/binary/dist-boot/build/Data/Binary/Generic.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/GHC/Generics.hi
libraries/binary/dist-boot/build/Data/Binary/Generic.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Kind.hi
libraries/binary/dist-boot/build/Data/Binary/Generic.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Monoid.hi
libraries/binary/dist-boot/build/Data/Binary/Generic.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Word.hi
libraries/binary/dist-boot/build/Data/Binary/Generic.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Bits.hi
libraries/binary/dist-boot/build/Data/Binary/Generic.o : libraries/binary/dist-boot/build/Data/Binary/Put.hi
libraries/binary/dist-boot/build/Data/Binary/Generic.o : libraries/binary/dist-boot/build/Data/Binary/Get.hi
libraries/binary/dist-boot/build/Data/Binary/Generic.o : libraries/binary/dist-boot/build/Data/Binary/Class.hi
libraries/binary/dist-boot/build/Data/Binary/Generic.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Applicative.hi
libraries/binary/dist-boot/build/Data/Binary.o : libraries/binary/src/Data/Binary.hs
$(eval $(call hi-rule,libraries/binary/dist-boot/build/Data/Binary.hi  : %hi: %o  libraries/binary/src/Data/Binary.hs))
libraries/binary/dist-boot/build/Data/Binary.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
libraries/binary/dist-boot/build/Data/Binary.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/IO.hi
libraries/binary/dist-boot/build/Data/Binary.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Lazy/Internal.hi
libraries/binary/dist-boot/build/Data/Binary.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Lazy.hi
libraries/binary/dist-boot/build/Data/Binary.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString/Lazy.hi
libraries/binary/dist-boot/build/Data/Binary.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/bytestring-0.10.8.2/Data/ByteString.hi
libraries/binary/dist-boot/build/Data/Binary.o : libraries/binary/dist-boot/build/Data/Binary/Generic.hi
libraries/binary/dist-boot/build/Data/Binary.o : libraries/binary/dist-boot/build/Data/Binary/Get.hi
libraries/binary/dist-boot/build/Data/Binary.o : libraries/binary/dist-boot/build/Data/Binary/Put.hi
libraries/binary/dist-boot/build/Data/Binary.o : libraries/binary/dist-boot/build/Data/Binary/Class.hi
libraries/binary/dist-boot/build/Data/Binary.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Word.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/binary_dist-boot_depfile_haskell_EXISTS = YES
